DataGenerator

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.boundaryvisualizer
Interface DataGenerator

All Known Implementing Classes:
  KDDataGenerator

    public interface DataGenerator

Interface to something that can generate new instances based on a set of input instances

Since:
  1.0
Version:
  $Revision: 1.4 $
Author:
  Mark Hall

Method Summary
`void` | `buildGenerator(Instances inputInstances)` Build the data generator
`double[][]` | `generateInstances(int[] indices)` Generate an instance.
`int` | `getNumGeneratingModels()` Returns the number of generating models used by this DataGenerator
`double[]` | `getWeights()` Get weights
`void` | `setSeed(int seed)` Set a seed for random number generation (if needed).
`void` | `setWeightingDimensions(boolean[] dimensions)` Set the dimensions to be used in computing a weight for each instance generated
`void` | `setWeightingValues(double[] vals)` Set the values of the dimensions (chosen via setWeightingDimensions) to be used when computing instance weights

Method Detail

### buildGenerator

    void buildGenerator(Instances inputInstances)
                        throws java.lang.Exception

  Build the data generator

  Parameters:
    `inputInstances` - Instances to build the generator from
  Throws:
    `java.lang.Exception` - if an error occurs

### generateInstances

    double[][] generateInstances(int[] indices)
                                 throws java.lang.Exception

  Generate an instance. Should return a new Instance object

  Returns:
    an `Instance` value
  Throws:
    `java.lang.Exception` - if an error occurs

### getWeights

    double[] getWeights()
                        throws java.lang.Exception

  Get weights

  Throws:
    `java.lang.Exception`

### setWeightingDimensions

    void setWeightingDimensions(boolean[] dimensions)

  Set the dimensions to be used in computing a weight for each instance generated

  Parameters:
    `dimensions` - an array of booleans specifying the dimensions to be used when computing instance weights

### setWeightingValues

    void setWeightingValues(double[] vals)

  Set the values of the dimensions (chosen via setWeightingDimensions) to be used when computing instance weights

  Parameters:
    `vals` - a `double[]` value

### getNumGeneratingModels

    int getNumGeneratingModels()

  Returns the number of generating models used by this DataGenerator

  Returns:
    an `int` value

### setSeed

    void setSeed(int seed)

  Set a seed for random number generation (if needed).

  Parameters:
    `seed` - an `int` value

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD